export interface Source {
    line: number;
    file: string;
    text: string;
}
export declare type WarningTypes = 'compressed' | 'ignoredFound';
export declare class Warnings {
    ranOnMinifiedFiles: boolean;
    list: Record<WarningTypes, {
        [s: string]: Source[];
    }>;
    /**
    * @deprecated This has been renamed to
    *   'rcs.warnings.list.compressed' instead of 'rcs.warnings.warningArray
    */
    warningArray: {
        [s: string]: Source[];
    };
    constructor();
    summary(text: string): string;
    reset(): void;
    append(value: string, source: Source | undefined, warningType?: WarningTypes): void;
    private warnList;
    warn(): void;
}
declare const _default: Warnings;
export default _default;
