"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

const parse5_traverse_1 = __importDefault(require("parse5-traverse"));

const htmlToAst_1 = __importDefault(require("./htmlToAst")); // type: 'script' | 'style'


const extractFromHtml = (code, type = 'style') => {
  const ast = htmlToAst_1.default(code);
  const extractedParts = [];
  parse5_traverse_1.default(ast, {
    pre: node => {
      if (node.parentNode && node.parentNode.tagName === type) {
        extractedParts.push(node.value);
      }
    }
  });
  return extractedParts;
};

exports.default = extractFromHtml;
module.exports = exports.default;