"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

const separateMappingSelectors = (mappingSelectors = {}) => {
  const selectors = Object.entries(mappingSelectors);
  const result = {
    ids: [],
    classes: [],
    keyframes: [],
    cssVariables: []
  };
  selectors.forEach(([selector, renamedSelector]) => {
    const plainSelector = selector.slice(1);
    const toPush = [plainSelector, renamedSelector];

    switch (selector.charAt(0)) {
      case '-':
        result.cssVariables.push(toPush);
        break;

      case '@':
        result.keyframes.push(toPush);
        break;

      case '#':
        result.ids.push(toPush);
        break;

      case '.':
      default:
        result.classes.push(toPush);
    }
  });
  return result;
};

exports.default = separateMappingSelectors;
module.exports = exports.default;